List activity
curl --request GET \
--url https://sandbox.groundtech.co/v2/activity \
--header 'Authorization: Bearer <token>'{
"activity": [
{
"id": "a1b2c3d4-0000-4000-8000-000000000001",
"type": "deposit",
"status": "completed",
"amountUsd": "5000.000000",
"timestamp": "2025-09-05T10:00:00Z",
"deposit": {
"id": "a1b2c3d4-0000-4000-8000-000000000001",
"amount": "5000.000000",
"token": "usdc",
"chain": "ethereum",
"fromAddress": "0xfeed00000000000000000000000000000000beef",
"txHash": "0xb4ec6ad9f2f2d75fb8df30c6e49b1f319138f0172d7bff7c402e7dcb7f017e8a",
"status": "completed",
"createdAt": "2025-09-05T10:00:00Z",
"completedAt": "2025-09-05T10:01:15Z"
}
},
{
"id": "a1b2c3d4-0000-4000-8000-000000000002",
"type": "withdrawal",
"status": "processing",
"amountUsd": "65000.000000",
"timestamp": "2025-09-05T11:00:00Z",
"withdrawal": {
"id": "a1b2c3d4-0000-4000-8000-000000000002",
"amountRequestedUsd": "65000.000000",
"amountPaidUsd": null,
"feeUsd": "0.000000",
"destinationChain": "ethereum",
"destinationAddress": "0x76F8fc6667E239f83a547d4e16225d6a34f6FA22",
"destinationToken": "usdc",
"status": "processing",
"legsCompleted": 0,
"legsTotal": 1,
"payoutLegs": [
{
"status": "pending_customer_approval",
"amountUsd": "65000.000000",
"from": {
"kind": "yield_source",
"id": "syrup-usdc",
"label": "Syrup USDC"
},
"to": {
"kind": "external_payout",
"id": "external_payout:ethereum:usdc",
"label": "External payout (Ethereum)"
},
"startedAt": "2025-09-05T11:00:00Z",
"completedAt": null,
"stepsCompleted": 1,
"stepsTotal": 2,
"steps": [
{
"label": "Redeeming from Syrup USDC",
"status": "completed",
"txHash": "0xdef456...",
"txStatus": "confirmed"
},
{
"label": "Sending payout",
"status": "pending_customer_approval",
"txHash": null,
"txStatus": null
}
]
}
],
"failureReason": null,
"createdAt": "2025-09-05T11:00:00Z",
"completedAt": null
}
}
],
"nextCursor": null,
"hasMore": false
}Activity
List activity
Returns customer-facing wallet activity across the authenticated organization. Pass one or more walletId query parameters to filter to specific wallets.
GET
/
v2
/
activity
List activity
curl --request GET \
--url https://sandbox.groundtech.co/v2/activity \
--header 'Authorization: Bearer <token>'{
"activity": [
{
"id": "a1b2c3d4-0000-4000-8000-000000000001",
"type": "deposit",
"status": "completed",
"amountUsd": "5000.000000",
"timestamp": "2025-09-05T10:00:00Z",
"deposit": {
"id": "a1b2c3d4-0000-4000-8000-000000000001",
"amount": "5000.000000",
"token": "usdc",
"chain": "ethereum",
"fromAddress": "0xfeed00000000000000000000000000000000beef",
"txHash": "0xb4ec6ad9f2f2d75fb8df30c6e49b1f319138f0172d7bff7c402e7dcb7f017e8a",
"status": "completed",
"createdAt": "2025-09-05T10:00:00Z",
"completedAt": "2025-09-05T10:01:15Z"
}
},
{
"id": "a1b2c3d4-0000-4000-8000-000000000002",
"type": "withdrawal",
"status": "processing",
"amountUsd": "65000.000000",
"timestamp": "2025-09-05T11:00:00Z",
"withdrawal": {
"id": "a1b2c3d4-0000-4000-8000-000000000002",
"amountRequestedUsd": "65000.000000",
"amountPaidUsd": null,
"feeUsd": "0.000000",
"destinationChain": "ethereum",
"destinationAddress": "0x76F8fc6667E239f83a547d4e16225d6a34f6FA22",
"destinationToken": "usdc",
"status": "processing",
"legsCompleted": 0,
"legsTotal": 1,
"payoutLegs": [
{
"status": "pending_customer_approval",
"amountUsd": "65000.000000",
"from": {
"kind": "yield_source",
"id": "syrup-usdc",
"label": "Syrup USDC"
},
"to": {
"kind": "external_payout",
"id": "external_payout:ethereum:usdc",
"label": "External payout (Ethereum)"
},
"startedAt": "2025-09-05T11:00:00Z",
"completedAt": null,
"stepsCompleted": 1,
"stepsTotal": 2,
"steps": [
{
"label": "Redeeming from Syrup USDC",
"status": "completed",
"txHash": "0xdef456...",
"txStatus": "confirmed"
},
{
"label": "Sending payout",
"status": "pending_customer_approval",
"txHash": null,
"txStatus": null
}
]
}
],
"failureReason": null,
"createdAt": "2025-09-05T11:00:00Z",
"completedAt": null
}
}
],
"nextCursor": null,
"hasMore": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional repeatable wallet ID filter.
Opaque cursor from a prior response.
Maximum number of activity items to return.
Required range:
1 <= x <= 100Filter activity by type.
Available options:
deposit, withdrawal, rebalance Comma-separated public activity statuses to include, or all.
Example:
"created,processing"
⌘I